Subject: [Fot] Any tricks on inserting pistons into TR3 brake calipers?

From: Henry Morrison <[email-masked]>
Date: Tue, 13 Nov 2012 10:59:54 -0700 FILETIME=[AF673910:01CDC1C8]

Gang, bought some Kits from VB and am shearing them apart as I stuff the new
pistons into the calipers.   Are there better Kits out thee I should have
bought since I will be buying new ones anyway? Thanks for your help.  Cheers,
Henry Morrison, Albuquerque, NM
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]